Page MenuHomeFreeBSD

[NEW PORT] audio/qmidiarp: MIDI arpeggiator, sequencer and LFO for JACK
ClosedPublic

Authored by ultima on Aug 15 2017, 6:47 AM.

Details

Summary

QMidiArp is an advanced MIDI arpeggiator, programmable step sequencer and LFO.
It can hold any number of arpeggiator, sequencer, or LFO modules running in
parallel.

Arpeggiator modules produce sequences depending on the notes sent to their input
port, which is typically connected to a keyboard or another sequencer.

Step sequencer modules allow you to create simple linear, monophonic and
globally transposable sequences similar to the first analog sequencers.

MIDI LFO modules independently produce MIDI controller data of adjustable
waveform, time resolution, amplitude and duration.

A Global Storage Tool can store different setups and switch between them at a
given time. It allows you to dynamically combine patterns and LFO wave forms.

WWW: http://qmidiarp.sourceforge.net/

PR\: 221327
Submitted by\: Yuri Victorovich (maintainer)
Reviewed by\: lifanov (mentor), matthew (mentor)
Approved by\: lifanov (mentor), matthew (mentor)
Differential Revision\: https://reviews.freebsd.org/DXXXXX

Test Plan

portlint:
looks fine.

poudriere:
103i386
103amd64
110i386
110amd64
12i386
12amd64

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

ultima created this revision.Aug 15 2017, 6:47 AM

Expect a lot more from new ports from Yuri Victorovich. I see 45 new ports with activity in the past week and most of them are from Yuri. Going to keep trying to knock them out.

audio/qmidiarp/Makefile
30 ↗(On Diff #32078)

This port is not MAKE_JOB safe. Port fails to build about 50% of the time (on my system at least) without this.

matthew requested changes to this revision.Aug 15 2017, 3:42 PM

I'm getting build failures:

libtool: link: c++ -I/usr/local/include/qt5/QtCore -I/usr/local/include/qt5 -I/usr/local/include/qt5/QtGui -I/usr/local/include/qt5/QtWidgets -fPIC -DAPPBUILD -O2 -pipe -fstack-protector -isystem /usr/local/include -fno-strict-aliasing -isystem /usr/local/include -std=c++11 -fstack-protector -o qmidiarp qmidiarp-cursor.o qmidiarp-engine.o qmidiarp-arpscreen.o qmidiarp-lfoscreen.o qmidiarp-seqscreen.o qmidiarp-arpwidget.o qmidiarp-lfowidget.o qmidiarp-seqwidget.o qmidiarp-groovewidget.o qmidiarp-mainwindow.o qmidiarp-globstore.o qmidiarp-indicator.o qmidiarp-inoutbox.o qmidiarp-logwidget.o qmidiarp-main.o qmidiarp-midiworker.o qmidiarp-midiarp.o qmidiarp-midilfo.o qmidiarp-midiseq.o qmidiarp-midicctable.o qmidiarp-midicontrol.o qmidiarp-parstore.o qmidiarp-passwidget.o qmidiarp-jackdriver.o qmidiarp-screen.o qmidiarp-seqdriver.o qmidiarp-slider.o qmidiarp-storagebutton.o qmidiarp-cursor_moc.o qmidiarp-engine_moc.o qmidiarp-arpscreen_moc.o qmidiarp-lfoscreen_moc.o qmidiarp-seqscreen_moc.o qmidiarp-arpwidget_moc.o qmidiarp-lfowidget_moc.o qmidiarp-seqwidget_moc.o qmidiarp-groovewidget_moc.o qmidiarp-mainwindow_moc.o qmidiarp-globstore_moc.o qmidiarp-indicator_moc.o qmidiarp-inoutbox_moc.o qmidiarp-logwidget_moc.o qmidiarp-midiworker_moc.o qmidiarp-midiarp_moc.o qmidiarp-midilfo_moc.o qmidiarp-midiseq_moc.o qmidiarp-midicctable_moc.o qmidiarp-midicontrol_moc.o qmidiarp-passwidget_moc.o qmidiarp-parstore_moc.o qmidiarp-jackdriver_moc.o qmidiarp-screen_moc.o qmidiarp-seqdriver_moc.o qmidiarp-slider_moc.o qmidiarp-storagebutton_moc.o  -L/usr/local/lib/qt5 -lQt5Widgets -lQt5Gui -lQt5Core -L/usr/local/lib -llo -lpthread -lm -ljack /usr/local/lib/libasound.so -Wl,-rpath -Wl,/usr/local/lib -Wl,-rpath -Wl,/usr/local/lib
/usr/local/bin/lrelease -verbose translations/qmidiarp_cs.ts -qm translations/qmidiarp_cs.qm
lrelease: could not exec '/usr/local/lib/qt5/bin/lrelease': No such file or directory
*** Error code 1

Stop.
make[4]: stopped in /wrkdirs/usr/ports/audio/qmidiarp/work/qmidiarp-1a15c13/src
*** Error code 1

Stop.
make[3]: stopped in /wrkdirs/usr/ports/audio/qmidiarp/work/qmidiarp-1a15c13/src
*** Error code 1

Stop.
make[2]: stopped in /wrkdirs/usr/ports/audio/qmidiarp/work/qmidiarp-1a15c13/src
*** Error code 1

Stop.
make[1]: stopped in /wrkdirs/usr/ports/audio/qmidiarp/work/qmidiarp-1a15c13
*** Error code 1

Stop.
make: stopped in /usr/ports/audio/qmidiarp
build of audio/qmidiarp | qmidiarp-0.6.4 ended at Tue Aug 15 16:36:01 BST 2017
build time: 00:03:31
!!! build failure encountered !!!
This revision now requires changes to proceed.Aug 15 2017, 3:42 PM
ultima added a comment.EditedAug 15 2017, 6:12 PM

Odd, I also see strip warnings at the end of my logs. Must have added the wrong diff. I'll rerun qa and such and find out what I screwed up, sorry about that.

ultima updated this revision to Diff 32099.EditedAug 15 2017, 8:53 PM
ultima edited edge metadata.

Looks like you had NLS disabled which the port requires linguisttools. Also added stripping libs.

ultima edited the test plan for this revision. (Show Details)Aug 15 2017, 8:55 PM
mat added inline comments.Aug 16 2017, 3:28 PM
audio/qmidiarp/Makefile
5–7 ↗(On Diff #32099)

I am not sure what this -26 does here, as you are defining GH_TAGNAME, it will never be used (outside of DISTNAME, which is artificial anyway).

Mmmmm, If you meant to say that git describe gives this: qmidiarp-0.6.4-26-g1a15c13, the correct way to plit this is:

​ DISTVERSIONPREFIX= qmidiarp-

​DISTVERSION=        0.6.4-26
​DISTVERSIONSUFFIX=        -g1a15c13

And not set GH_TAGNAME.

30 ↗(On Diff #32078)

This can often be mitigated by using USES=gmake.

ultima added inline comments.Aug 16 2017, 7:57 PM
audio/qmidiarp/Makefile
5–7 ↗(On Diff #32099)

I keep getting confused on the versioning with git... I will get it right.

ultima updated this revision to Diff 32143.Aug 16 2017, 8:16 PM

Fixed versioning, although I'm not sure how it is possible, adding gmake fixed make jobs not being safe.

ultima updated this revision to Diff 32144.EditedAug 16 2017, 8:18 PM

Nevermind, I had history on phabricator set which confused me. Removed commented MAKE_JOBS_UNSAFE

matthew accepted this revision.Aug 17 2017, 9:12 AM

OK, builds fine with NLS enabled. If the software won't ever work without NLS, then that shouldn't be an OPTION. Absent removing the option entirely,
and absent a fix, can you mark the port BROKEN if the NLS option is disabled -- that should make it clear what the problem is for anyone else who runs
into this.

Otherwise,

lgtm

This revision is now accepted and ready to land.Aug 17 2017, 9:12 AM
mat added inline comments.Aug 17 2017, 11:31 AM
audio/qmidiarp/Makefile
5–7 ↗(On Diff #32099)
ultima added inline comments.Aug 17 2017, 6:08 PM
audio/qmidiarp/Makefile
5–7 ↗(On Diff #32099)

Thanks, this will definitely help. Actually had it down right before the revision, but it will be a good reference.

This revision was automatically updated to reflect the committed changes.